I'm working with a modified version of a program found on Afralisp.com Here's what's supposed to happen... The user selects the line. The endpoints retrieved and then from that, the angle of the line. A block with 2 invisible attributes is inserted on the line at the same angle. The program retrieves the insertion points for the invisible attributes. The line is broken using the 2 insertion points of the attributes. However....the program throws a wobbly at the "BREAK" command saying "Invalid point". But, if I add the following line (command "line" ip1 ip2 ""), it draws a line right where the invisible attributes are, so what gives?? Any help will be greatly appreciated! Here's the code: [code] (defun InsertValveX (strBlockName / lista objEnt pt1 ep1 ep2 ang edata ip1 ip2 objEntLine) (setvar "osmode" 512) (setq pt1 (getpoint " Select line to add fitting to... ")) (setvar "osmode" 0) (setq objEnt (ssget pt1)) (setq objEntLine objEnt) (setq objEnt (entget (ssname objEnt 0))) (setq ep1 (cdr (assoc 10 objEnt))) (setq ep2 (cdr (assoc 11 objEnt))) (setq ang (angle ep1 ep2)) (setq ang (/ (* ang 180.0) pi)) (setvar "attdia" 0) (command "Insert" (strcat "s:/caddstds/demo/fittings/" strBlockName) pt1 "" "" ang "" "") (setq edata (entget (entlast))) (setq edata (entget (entnext (dxf -1 edata)))) (setq ip1 (dxf 10 edata)) (setq edata (entget (entnext (dxf -1 edata)))) (setq ip2 (dxf 10 edata)) (command "Break" objEntLine "f" ip1 ip2) (princ) ) [/code]